<script setup lang="ts">
import {defineComponent, PropType} from "vue";
import { queueApi, queueVO } from '@/api/ecg/queue'
import {DICT_TYPE} from "@/utils/dict";

defineComponent({
  name: 'QueuePanel'
})

const  props = defineProps({
  queue: {
    type: Array as PropType<queueVO[]>,
    required: true
  }
  /*,
  modelValue: {
    type: Object as PropType<RoomVO>,
    required: true
  }
*/
})

</script>

<template>
<div v-for="(item, index) in queue" :key="index">
  {{item.patName}}
  <dict-tag :type="DICT_TYPE.SYSTEM_USER_SEX" :value="item.patGender" />
  {{item.roomName}}
  {{item.bedNo}}
  <dict-tag :type="DICT_TYPE.ECG_CHECK_TYPE" :value="item.bookCheckType" />
  <dict-tag :type="DICT_TYPE.ECG_QUEUE_STATUS" :value="item.status" />
</div>
</template>

<style scoped lang="scss">

</style>
